font = 'Roboto', sans-serif
font-color = #EEE
font-size = 20px

dark = #343838
dark-blue = #005F6B
blue = #008C9E
light-blue = #00B4CC

orange-highlight = #FF9700

// LR Left Right, TB Top Bottom
mainSpaceLR = 60px
mainSpaceTB = 40px

borderRadius(x)
  -webkit-border-radius x
  -moz-border-radius x
  border-radius x

flex(x)
  -webkit-box-flex x
  -moz-box-flex x
  -webkit-flex x
  -ms-flex x
  flex x

flexboxDisplay()
  display -webkit-box
  display -moz-box
  display -ms-flexbox
  display -webkit-flex
  display flex

transition(attribute, speed, type)
  -webkit-transition attribute speed type
  -ms-transition attribute speed type
  transition attribute speed type

triggerAcceleration(x)
  -webkit-transform translateZ(x)
  -moz-transform translateZ(x)
  -ms-transform translateZ(x)
  -o-transform translateZ(x)
  transform translateZ(x)

noHighlight()
  -webkit-touch-callout none
  -webkit-user-select none
  -khtml-user-select none
  -moz-user-select none
  -ms-user-select none
  user-select none

boxShadow(x)
  -webkit-box-shadow x
  -moz-box-shadow x
  box-shadow x

*, :after, :before
  box-sizing border-box

html, body
  color font-color
  font-family font
  font-size font-size
  margin 0

a
  color font-color

@require 'partials/background'
@require 'partials/block'
@require 'partials/contact'
@require 'partials/cv'
@require 'partials/footer'
@require 'partials/header'
@require 'partials/main'
@require 'partials/modules-studied'
@require 'partials/popup'
@require 'partials/row'
@require 'partials/tech'
@require 'partials/timeline'

.margin-top
    margin-top font-size * 2

.underline
  text-decoration underline
  display inline-block

.lazyload
  opacity 0

.title
  font-size 60px
  font-weight 700
  display inline-block
  margin 0 auto

.subTitle
  font-size 24px
  font-weight 700
  display inline-block
  margin 0 0 40px

@media screen and (max-width: 1600px)
  .margin-top
    margin-top 10px

  p
    font-size 22px

@media screen and (max-width: 1450px)
  font-size = 16px

  p
    font-size font-size

@media screen and (max-width: 1100px)
  .margin-top
    margin-top 20px

@media screen and (max-width: 800px)
  html
    padding-top mainSpaceTB

@media screen and (max-width: 600px)
  .title
    font-size 40px

@media screen and (max-width: 300px)
  .title
    font-size 32px